curl -X POST "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key" \
-H "Content-Type: application/json" \
-d '{
"send": ["order/*", "inventory/*", "shipping/*"],
"receive": ["payment/*", "refund/*"]
}'
{
"message": "Permissions updated successfully"
}
Access Keys
Update Access Key Permissions
Updates permissions for a specific access key
POST
/
access-key
/
{accessKey}
/
permissions
curl -X POST "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key" \
-H "Content-Type: application/json" \
-d '{
"send": ["order/*", "inventory/*", "shipping/*"],
"receive": ["payment/*", "refund/*"]
}'
{
"message": "Permissions updated successfully"
}
Path Parameters
string
required
The access key to update permissions for
Body Parameters
array
Array of event paths this key can publish to
array
Array of event paths this key can subscribe to
object
Resource-specific permissions
curl -X POST "https://config.gms.ensync.cloud/v1/access-key/ensk_prod_xxxxx/permissions" \
-H "X-API-KEY: your-api-key" \
-H "Content-Type: application/json" \
-d '{
"send": ["order/*", "inventory/*", "shipping/*"],
"receive": ["payment/*", "refund/*"]
}'
{
"message": "Permissions updated successfully"
}